### Function

# Gimp flags_get_first_desc

since: 2.2

#### Declaration [src]

    const GimpFlagsDesc*
    gimp_flags_get_first_desc (
      GFlagsClass* flags_class,
      guint value
    )

#### Description [src]

Retrieves the first `GimpFlagsDesc` that matches the given value, or `NULL`.

Available since: 2.2

#### Parameters

`flags_class`

  Type: `GFlagsClass`

  A `GFlagsClass`.

  The data is owned by the caller of the function.

`value`

  Type: `guint`

  A value from `flags_class`.

#### Return value

Type: `GimpFlagsDesc`

The value’s `GimpFlagsDesc`.

The data is owned by the called function.
The return value can be `NULL`.